starship init fish | source
set fish_greeting ""

# Prefer Neovim for both explicit and editor-variable invocations.
alias vim nvim
set -gx EDITOR nvim
set -gx VISUAL nvim

# pyenv setup
while set pyenv_index (contains -i -- "/home/alex/.pyenv/shims" $PATH)
    set -eg PATH[$pyenv_index]
end
set -e pyenv_index
set -gx PATH '/home/alex/.pyenv/shims' $PATH
set -gx PYENV_SHELL fish
command pyenv rehash 2>/dev/null
function pyenv
    set command $argv[1]
    set -e argv[1]

    switch "$command"
        case rehash shell
            source (pyenv "sh-$command" $argv|psub)
        case "*"
            command pyenv "$command" $argv
    end
end

# bun
set --export BUN_INSTALL "$HOME/.bun"
set --export PATH $BUN_INSTALL/bin $PATH
